/**
 *
 */
package com.fp.frontend.webservices.snap.modelo;

import java.io.Serializable;
import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * Clase xml con los datos de la arma
 *
 * @author Manuel Cepeda
 *
 */
@XmlRootElement(name = "DatosArma")
@XmlAccessorType(XmlAccessType.FIELD)
public class DatosArmaXml implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = -431606681146448613L;

    @XmlElement(name = "Lote")
    private String lote;
    @XmlElement(name = "DescripcionClase")
    private String descripcionClase;
    @XmlElement(name = "DescripcionTipo")
    private String descripcionTipo;
    @XmlElement(name = "Tipofabricante")
    private String tipofabricante;
    @XmlElement(name = "marca")
    private String marca;
    @XmlElement(name = "Calibre")
    private String calibre;
    @XmlElement(name = "ModeloArma")
    private String modeloArma;
    @XmlElement(name = "EstadoArma")
    private String estadoArma;

    @XmlElement(name = "ListaImagen")
    private List<ImagenXml> listaImagen;

    /**
     *
     */
    public DatosArmaXml() {
    }

    /**
     * @return the lote
     */
    public String getLote() {
        return lote;
    }

    /**
     * @param lote the lote to set
     */
    public void setLote(String lote) {
        this.lote = lote;
    }

    /**
     * @return the descripcionClase
     */
    public String getDescripcionClase() {
        return descripcionClase;
    }

    /**
     * @param descripcionClase the descripcionClase to set
     */
    public void setDescripcionClase(String descripcionClase) {
        this.descripcionClase = descripcionClase;
    }

    /**
     * @return the descripcionTipo
     */
    public String getDescripcionTipo() {
        return descripcionTipo;
    }

    /**
     * @param descripcionTipo the descripcionTipo to set
     */
    public void setDescripcionTipo(String descripcionTipo) {
        this.descripcionTipo = descripcionTipo;
    }

    /**
     * @return the tipofabricante
     */
    public String getTipofabricante() {
        return tipofabricante;
    }

    /**
     * @param tipofabricante the tipofabricante to set
     */
    public void setTipofabricante(String tipofabricante) {
        this.tipofabricante = tipofabricante;
    }

    /**
     * @return the marca
     */
    public String getMarca() {
        return marca;
    }

    /**
     * @param marca the marca to set
     */
    public void setMarca(String marca) {
        this.marca = marca;
    }

    /**
     * @return the calibre
     */
    public String getCalibre() {
        return calibre;
    }

    /**
     * @param calibre the calibre to set
     */
    public void setCalibre(String calibre) {
        this.calibre = calibre;
    }

    /**
     * @return the modeloArma
     */
    public String getModeloArma() {
        return modeloArma;
    }

    /**
     * @param modeloArma the modeloArma to set
     */
    public void setModeloArma(String modeloArma) {
        this.modeloArma = modeloArma;
    }

    /**
     * @return the estadoArma
     */
    public String getEstadoArma() {
        return estadoArma;
    }

    /**
     * @param estadoArma the estadoArma to set
     */
    public void setEstadoArma(String estadoArma) {
        this.estadoArma = estadoArma;
    }

    /**
     * @return the listaImagen
     */
    public List<ImagenXml> getListaImagen() {
        return listaImagen;
    }

    /**
     * @param listaImagen the listaImagen to set
     */
    public void setListaImagen(List<ImagenXml> listaImagen) {
        this.listaImagen = listaImagen;
    }

}
